datacenter = "dc1"
data_dir = "/opt/nomad/data"
plugin_dir = "/opt/nomad/plugins"
log_level = "INFO"
name = "onecloud1"

bind_addr = "100.98.209.50"

addresses {
  http = "100.98.209.50"
  rpc  = "100.98.209.50"
  serf = "100.98.209.50"
}

ports {
  http = 4646
  rpc  = 4647
  serf = 4648
}

server {
  enabled = true
  bootstrap_expect = 3
  retry_join = ["100.81.26.3", "100.103.147.94", "100.90.159.68", "100.86.141.112", "100.98.209.50", "100.120.225.29"]
}

client {
  enabled = false
}

plugin "nomad-driver-podman" {
  config {
    socket_path = "unix:///run/podman/podman.sock"
    volumes {
      enabled = true
    }
  }
}

consul {
  address = "100.117.106.136:8500,100.116.80.94:8500,100.122.197.112:8500" # master, ash3c, warden
}

vault {
  enabled = true
  address = "http://100.117.106.136:8200,http://100.116.80.94:8200,http://100.122.197.112:8200" # master, ash3c, warden
  token = "hvs.A5Fu4E1oHyezJapVllKPFsWg"
  create_from_role = "nomad-cluster"
  tls_skip_verify = true
}